Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim.F90	(revision 2633)
@@ -89,5 +89,5 @@
       !!                utau, vtau, taum, wndm, qns , qsr, emp , emps
       !!---------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zalb_ice_os => wrk_3d_1 ! albedo of the ice under overcast sky
       USE wrk_nemo, ONLY: zalb_ice_cs => wrk_3d_2 ! albedo of ice under clear sky
@@ -100,5 +100,5 @@
       !!----------------------------------------------------------------------
 
-      IF( .NOT. wrk_use(3, 1,2) ) THEN
+      IF( wrk_in_use(3, 1,2) ) THEN
          CALL ctl_stop( 'sbc_ice_lim: requested workspace arrays are unavailable.' )   ;   RETURN
       ENDIF
@@ -252,5 +252,5 @@
 !!gm   remark, the ocean-ice stress is not saved in ice diag call above .....  find a solution!!!
       !
-      IF( .NOT. wrk_release(3, 1,2) )   CALL ctl_stop( 'sbc_ice_lim: failed to release workspace arrays.' )
+      IF( wrk_not_released(3, 1,2) )   CALL ctl_stop( 'sbc_ice_lim: failed to release workspace arrays.' )
       !
    END SUBROUTINE sbc_ice_lim
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim_2.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim_2.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim_2.F90	(revision 2633)
@@ -83,5 +83,5 @@
       !!                utau, vtau, taum, wndm, qns , qsr, emp , emps
       !!---------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: wrk_3d_1, wrk_3d_2, wrk_3d_3   ! 3D workspace
       !!
@@ -96,5 +96,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(3, 1,2,3) ) THEN
+      IF(wrk_in_use(3, 1,2,3) ) THEN
          CALL ctl_stop('sbc_ice_lim_2: requested workspace arrays are unavailable.')   ;   RETURN
       END IF
@@ -228,5 +228,5 @@
       IF( ln_limdyn    )   CALL lim_sbc_tau_2( kt, ub(:,:,1), vb(:,:,1) )  ! using before instantaneous surf. currents
       !
-      IF(.NOT. wrk_release(3, 1,2,3) )   CALL ctl_stop('sbc_ice_lim_2: failed to release workspace arrays')
+      IF(wrk_not_released(3, 1,2,3) )   CALL ctl_stop('sbc_ice_lim_2: failed to release workspace arrays')
       !
    END SUBROUTINE sbc_ice_lim_2
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SOL/solpcg.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SOL/solpcg.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SOL/solpcg.F90	(revision 2633)
@@ -83,5 +83,5 @@
       !!        !  08-01  (R. Benshila) mpp optimization
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zgcr => wrk_2d_1
       !!
@@ -96,5 +96,5 @@
       !!----------------------------------------------------------------------
       
-      IF( .not. wrk_use(2, 1) )THEN
+      IF( wrk_in_use(2, 1) )THEN
          CALL ctl_stop('sol_pcg: requested workspace array is unavailable')
          RETURN
@@ -217,5 +217,5 @@
      
       ! 
-      IF( .not. wrk_release(2, 1) )THEN
+      IF( wrk_not_released(2, 1) )THEN
          CALL ctl_stop('sol_pcg: failed to release workspace array')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SOL/solsor.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SOL/solsor.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SOL/solsor.F90	(revision 2633)
@@ -58,5 +58,5 @@
       !!                Beare and Stevens 1997 Ann. Geophysicae 15, 1369-1377
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: ztab => wrk_2d_1
       !!
@@ -70,5 +70,5 @@
       !!----------------------------------------------------------------------
       
-      IF( .not. wrk_use(2, 1) )THEN
+      IF( wrk_in_use(2, 1) )THEN
          CALL ctl_stop('sol_sor: requested workspace array is unavailable')
          RETURN
@@ -171,5 +171,5 @@
       CALL lbc_lnk_e( gcx, c_solver_pt, 1. )    ! boundary conditions
       ! 
-      IF( .not. wrk_release(2, 1) )THEN
+      IF( wrk_not_released(2, 1) )THEN
          CALL ctl_stop('sol_sor: failed to release workspace array')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2.F90	(revision 2633)
@@ -107,5 +107,5 @@
       !! References :   Jackett and McDougall, J. Atmos. Ocean. Tech., 1994
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zws => wrk_3d_1 ! temporary workspace
       !!
@@ -123,5 +123,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(3, 1))THEN
+      IF(wrk_in_use(3, 1))THEN
          CALL ctl_stop('eos_insitu : requested workspace array unavailable.')
          RETURN
@@ -191,5 +191,5 @@
       IF(ln_ctl)   CALL prt_ctl( tab3d_1=prd, clinfo1=' eos  : ', ovlap=1, kdim=jpk )
       !
-      IF(.NOT. wrk_release(3, 1))THEN
+      IF(wrk_not_released(3, 1))THEN
          CALL ctl_stop('eos_insitu : failed to release workspace array.')
       END IF
@@ -244,5 +244,5 @@
       !!                Brown and Campana, Mon. Weather Rev., 1978
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zws => wrk_3d_1 ! 3D workspace
       !!
@@ -257,5 +257,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(3, 1))THEN
+      IF(wrk_in_use(3, 1))THEN
          CALL ctl_stop('eos_insitu_pot: requested workspace array unavailable.')
          RETURN
@@ -330,5 +330,5 @@
       IF(ln_ctl)   CALL prt_ctl( tab3d_1=prd, clinfo1=' eos-p: ', tab3d_2=prhop, clinfo2=' pot : ', ovlap=1, kdim=jpk )
       !
-      IF(.NOT. wrk_release(3, 1))THEN
+      IF(wrk_not_released(3, 1))THEN
          CALL ctl_stop('eos_insitu_pot: failed to release workspace array.')
       END IF
@@ -373,5 +373,5 @@
       !! References :   Jackett and McDougall, J. Atmos. Ocean. Tech., 1994
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zws => wrk_2d_5 ! 2D workspace
       !!
@@ -386,5 +386,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(2, 5))THEN
+      IF(wrk_in_use(2, 5))THEN
          CALL ctl_stop('eos_insitu_2d: requested workspace array unavailable.')
          RETURN
@@ -463,5 +463,5 @@
       IF(ln_ctl)   CALL prt_ctl( tab2d_1=prd, clinfo1=' eos2d: ' )
       !
-      IF(.NOT. wrk_release(2, 5))THEN
+      IF(wrk_not_released(2, 5))THEN
          CALL ctl_stop('eos_insitu_2d: failed to release workspace array.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90	(revision 2633)
@@ -61,5 +61,5 @@
       !! ** Method  : - Update (ua,va) with the advection term following nadv
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY:   wrk_use, wrk_release
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY:   zun => wrk_3d_1, zvn => wrk_3d_2, zwn => wrk_3d_3   ! 3D workspace
       !
@@ -69,5 +69,5 @@
       !!----------------------------------------------------------------------
       !
-      IF(.not. wrk_use(3, 1,2,3) ) THEN
+      IF(wrk_in_use(3, 1,2,3) ) THEN
          CALL ctl_stop('tra_adv: requested workspace arrays unavailable')   ;   RETURN
       END IF
@@ -131,5 +131,5 @@
          &                       tab3d_2=tsa(:,:,:,jp_sal), clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
       !
-      IF(.not. wrk_release(3,1,2,3) )   CALL ctl_stop('tra_adv: failed to release workspace arrays')
+      IF(wrk_not_released(3,1,2,3) )   CALL ctl_stop('tra_adv: failed to release workspace arrays')
       !
    END SUBROUTINE tra_adv
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_cen2.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_cen2.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_cen2.F90	(revision 2633)
@@ -111,5 +111,5 @@
       USE oce         , zwx => ua   ! use ua as workspace
       USE oce         , zwy => va   ! use va as workspace
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: ztfreez => wrk_2d_1
       USE wrk_nemo, ONLY: zwz => wrk_3d_1, zind => wrk_3d_2
@@ -134,5 +134,5 @@
       !!----------------------------------------------------------------------
 
-      IF( .not. wrk_use(2, 1) .OR. .not. wrk_use(3, 1,2) ) THEN
+      IF( wrk_in_use(2, 1) .OR. wrk_in_use(3, 1,2) ) THEN
          CALL ctl_stop('tra_adv_cen2: ERROR: requested workspace arrays unavailable')   ;   RETURN
       END IF
@@ -278,5 +278,5 @@
       ENDIF
       !
-      IF( (.not. wrk_release(2, 1)) .OR. (.not. wrk_release(3, 1,2)))THEN
+      IF( wrk_not_released(2, 1) .OR. wrk_not_released(3, 1,2) )THEN
          CALL ctl_stop('tra_adv_cen2: ERROR: failed to release workspace arrays')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_eiv.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_eiv.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_eiv.F90	(revision 2633)
@@ -64,5 +64,5 @@
       !! ** Action  : - add to p.n the eiv component
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zu_eiv => wrk_2d_1, zv_eiv => wrk_2d_2, &
                           zw_eiv => wrk_2d_3
@@ -85,7 +85,7 @@
 
 # if defined key_diaeiv 
-      IF(.not. wrk_use(2, 1,2,3,4))THEN
+      IF(wrk_in_use(2, 1,2,3,4))THEN
 #else
-      IF(.not. wrk_use(2, 1,2,3))THEN
+      IF(wrk_in_use(2, 1,2,3))THEN
 #endif
          CALL ctl_stop('tra_adv_eiv: ERROR: requested workspace arrays are unavailable.')
@@ -194,7 +194,7 @@
       ! 
 # if defined key_diaeiv 
-      IF(.not. wrk_release(2, 1,2,3,4))THEN
+      IF(wrk_not_released(2, 1,2,3,4))THEN
 #else
-      IF(.not. wrk_release(2, 1,2,3))THEN
+      IF(wrk_not_released(2, 1,2,3))THEN
 #endif
          CALL ctl_stop('tra_adv_eiv: ERROR: failed to release workspace arrays.')
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_muscl.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_muscl.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_muscl.F90	(revision 2633)
@@ -63,5 +63,5 @@
       USE oce         , zwx => ua   ! use ua as workspace
       USE oce         , zwy => va   ! use va as workspace
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zslpx => wrk_3d_1, zslpy => wrk_3d_2
       !!
@@ -81,5 +81,5 @@
       !!----------------------------------------------------------------------
 
-      IF( .not. wrk_use(3, 1,2) )THEN
+      IF( wrk_in_use(3, 1,2) )THEN
          CALL ctl_stop('tra_adv_muscl: ERROR: requested workspace arrays unavailable')
          RETURN
@@ -255,5 +255,5 @@
       ENDDO
       !
-      IF( .not. wrk_release(3, 1,2) )THEN
+      IF( wrk_not_released(3, 1,2) )THEN
          CALL ctl_stop('tra_adv_muscl: ERROR: requested workspace arrays unavailable')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_muscl2.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_muscl2.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_muscl2.F90	(revision 2633)
@@ -61,5 +61,5 @@
       USE oce         , zwx => ua   ! use ua as workspace
       USE oce         , zwy => va   ! use va as workspace
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zslpx => wrk_3d_1, zslpy => wrk_3d_2
       !!
@@ -79,5 +79,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.not. wrk_use(3, 1,2))THEN
+      IF(wrk_in_use(3, 1,2))THEN
          CALL ctl_stop('tra_adv_muscl2: ERROR: requested workspace arrays are unavailable')
          RETURN
@@ -288,5 +288,5 @@
       END DO
       !
-      IF(.not. wrk_release(3, 1,2))THEN
+      IF(wrk_not_released(3, 1,2))THEN
          CALL ctl_stop('tra_adv_muscl2: ERROR: failed to release workspace arrays')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_qck.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_qck.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_qck.F90	(revision 2633)
@@ -116,5 +116,5 @@
       !!----------------------------------------------------------------------
       USE oce         , zwx => ua   ! use ua as workspace
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zfu => wrk_3d_1, zfc => wrk_3d_2, zfd => wrk_3d_3
       !!
@@ -132,5 +132,5 @@
       !----------------------------------------------------------------------
       !
-      IF(.not. wrk_use(3, 1,2,3))THEN
+      IF(wrk_in_use(3, 1,2,3))THEN
          CALL ctl_stop('tra_adv_qck_i: ERROR: requested workspace arrays unavailable')
          RETURN
@@ -230,5 +230,5 @@
       END DO
       !
-      IF(.not. wrk_release(3, 1,2,3))THEN
+      IF(wrk_not_released(3, 1,2,3))THEN
          CALL ctl_stop('tra_adv_qck_i: ERROR: failed to release workspace arrays')
       END IF
@@ -243,5 +243,5 @@
       !!----------------------------------------------------------------------
       USE oce         , zwy => ua   ! use ua as workspace
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zfu => wrk_3d_1, zfc => wrk_3d_2, zfd => wrk_3d_3
       !!
@@ -259,5 +259,5 @@
       !----------------------------------------------------------------------
       !
-      IF(.not. wrk_use(3, 1,2,3))THEN
+      IF(wrk_in_use(3, 1,2,3))THEN
          CALL ctl_stop('tra_adv_qck_j: ERROR: requested workspace arrays unavailable')
          RETURN
@@ -364,5 +364,5 @@
       END DO
       !
-      IF(.not. wrk_release(3, 1,2,3))THEN
+      IF(wrk_not_released(3, 1,2,3))THEN
          CALL ctl_stop('tra_adv_qck_j: ERROR: failed to release workspace arrays')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_tvd.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_tvd.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_tvd.F90	(revision 2633)
@@ -68,5 +68,5 @@
       USE oce         , zwx => ua   ! use ua as workspace
       USE oce         , zwy => va   ! use va as workspace
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zwi => wrk_3d_6, zwz => wrk_3d_7
       !!
@@ -87,5 +87,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.not. wrk_use(3, 6,7))THEN
+      IF(wrk_in_use(3, 6,7))THEN
          CALL ctl_stop('tra_adv_tvd: ERROR: requested workspace arrays unavailable')
          RETURN
@@ -248,5 +248,5 @@
       END IF
       !
-      IF(.not. wrk_release(3, 6,7))THEN
+      IF(wrk_not_released(3, 6,7))THEN
          CALL ctl_stop('tra_adv_tvd: ERROR: failed to release workspace arrays')
       END IF
@@ -268,5 +268,5 @@
       !!       in-space based differencing for fluid
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zbetup => wrk_3d_8, zbetdo => wrk_3d_9, &
                           zbup => wrk_3d_10, zbdo => wrk_3d_11
@@ -282,5 +282,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.not. wrk_use(3, 8,9,10,11))THEN
+      IF(wrk_in_use(3, 8,9,10,11))THEN
          CALL ctl_stop('nonosc: ERROR: requested workspace array unavailable')
          RETURN
@@ -365,5 +365,5 @@
       CALL lbc_lnk( paa, 'U', -1. )   ;   CALL lbc_lnk( pbb, 'V', -1. )   ! lateral boundary condition (changed sign)
       !
-      IF(.not. wrk_release(3, 8,9,10,11))THEN
+      IF(wrk_not_released(3, 8,9,10,11))THEN
          CALL ctl_stop('nonosc: ERROR: failed to release workspace arrays')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_ubs.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_ubs.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_ubs.F90	(revision 2633)
@@ -75,5 +75,5 @@
       USE oce         , zwx => ua   ! use ua as workspace
       USE oce         , zwy => va   ! use va as workspace
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: ztu  => wrk_3d_1, ztv  => wrk_3d_2, &
                           zltu => wrk_3d_3, zltv => wrk_3d_4, &
@@ -97,5 +97,5 @@
       !!----------------------------------------------------------------------
 
-      IF( .not. wrk_use(3, 1,2,3,4,5,6) )THEN
+      IF( wrk_in_use(3, 1,2,3,4,5,6) )THEN
          CALL ctl_stop('tra_adv_ubs: ERROR: requested workspace arrays unavailable')
          RETURN
@@ -273,5 +273,5 @@
       ENDDO
       !
-      IF( .not. wrk_release(3, 1,2,3,4,5,6) )THEN
+      IF( wrk_not_released(3, 1,2,3,4,5,6) )THEN
          CALL ctl_stop('tra_adv_ubs: ERROR: failed to release workspace arrays')
       END IF
@@ -293,5 +293,5 @@
       !!       in-space based differencing for fluid
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zbetup => wrk_3d_1, zbetdo => wrk_3d_2
       !!
@@ -306,5 +306,5 @@
       !!----------------------------------------------------------------------
 
-      IF( .not. wrk_use(3, 1,2) )THEN
+      IF( wrk_in_use(3, 1,2) )THEN
          CALL ctl_stop('nonosc_z: ERROR: requested workspace arrays unavailable')
          RETURN
@@ -381,5 +381,5 @@
       END DO
       !
-      IF( .not. wrk_release(3, 1,2) )THEN
+      IF( wrk_not_released(3, 1,2) )THEN
          CALL ctl_stop('nonosc_z: ERROR: failed to release workspace arrays')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/trabbl.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 2633)
@@ -169,5 +169,5 @@
       !!              Campin, J.-M., and H. Goosse, 1999, Tellus, 412-430.
       !!----------------------------------------------------------------------  
-      USE wrk_nemo, ONLY:   wrk_use, wrk_release
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY:   zptb => wrk_2d_1
       !
@@ -181,5 +181,5 @@
       !!----------------------------------------------------------------------
       !
-      IF(.not. wrk_use(2,1) ) THEN
+      IF(wrk_in_use(2,1) ) THEN
          CALL ctl_stop('tra_bbl_dif: ERROR: requested workspace array unavailable')   ;   RETURN
       ENDIF
@@ -218,5 +218,5 @@
       END DO                                                ! end tracer
       !                                                     ! ===========
-      IF(.not. wrk_release(2,1) )   CALL ctl_stop('tra_bbl_dif: failed to release workspace array')
+      IF(wrk_not_released(2,1) )   CALL ctl_stop('tra_bbl_dif: failed to release workspace array')
       !
    END SUBROUTINE tra_bbl_dif
@@ -338,5 +338,5 @@
       !!              Campin, J.-M., and H. Goosse, 1999, Tellus, 412-430.
       !!----------------------------------------------------------------------  
-      USE wrk_nemo, ONLY:   wrk_use, wrk_release
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY:   zub => wrk_2d_1 , ztb => wrk_2d_2                      ! 2D workspace
       USE wrk_nemo, ONLY:   zvb => wrk_2d_3 , zsb => wrk_2d_4 , zdep => wrk_2d_5
@@ -385,5 +385,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.not. wrk_use(2, 1,2,3,4,5) ) THEN
+      IF(wrk_in_use(2, 1,2,3,4,5) ) THEN
          CALL ctl_stop('bbl: requested workspace arrays unavailable')   ;   RETURN
       ENDIF
@@ -525,5 +525,5 @@
       ENDIF
       !
-      IF(.not. wrk_release(2, 1,2,3,4,5) )   CALL ctl_stop('bbl: failed to release workspace arrays')
+      IF(wrk_not_released(2, 1,2,3,4,5) )   CALL ctl_stop('bbl: failed to release workspace arrays')
       !
    END SUBROUTINE bbl
@@ -539,5 +539,5 @@
       !!              called by nemo_init at the first timestep (nit000)
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY:   wrk_use, wrk_release
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY:   zmbk => wrk_2d_1       ! 2D workspace
       INTEGER ::   ji, jj               ! dummy loop indices
@@ -547,5 +547,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.not. wrk_use(2,1) ) THEN
+      IF(wrk_in_use(2,1) ) THEN
          CALL ctl_stop('tra_bbl_init: requested workspace array unavailable')   ;   RETURN
       ENDIF
@@ -635,5 +635,5 @@
       ENDIF
       !
-      IF(.not. wrk_release(2,1))THEN
+      IF(wrk_not_released(2,1))THEN
          CALL ctl_stop('tra_bbl_init: ERROR: failed to release workspace array')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/tradmp.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/tradmp.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/tradmp.F90	(revision 2633)
@@ -327,5 +327,5 @@
       USE iom
       USE ioipsl
-      USE wrk_nemo, ONLY:   wrk_use, wrk_release
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY:   zhfac => wrk_1d_1, zmrs => wrk_2d_1 , zdct  => wrk_3d_1   ! 1D, 2D, 3D workspace
       !!
@@ -347,6 +347,6 @@
       !!----------------------------------------------------------------------
 
-      IF( .not. wrk_use(1, 1) .OR. .not. wrk_use(2, 1)  .OR.   &
-          .not. wrk_use(3, 1)   )THEN
+      IF( wrk_in_use(1, 1) .OR. wrk_in_use(2, 1)  .OR.   &
+          wrk_in_use(3, 1)   )THEN
          CALL ctl_stop('dtacof: requested workspace arrays unavailable')   ;   RETURN
       ENDIF
@@ -543,6 +543,6 @@
       ENDIF
       !
-      IF( .not. wrk_release(1, 1) .OR. .not. wrk_release(2, 1) .OR. &
-          .not. wrk_release(3, 1) )   CALL ctl_stop('dtacof: failed to release workspace arrays')
+      IF( wrk_not_released(1, 1) .OR. wrk_not_released(2, 1) .OR. &
+          wrk_not_released(3, 1) )   CALL ctl_stop('dtacof: failed to release workspace arrays')
       !
    END SUBROUTINE dtacof
@@ -570,5 +570,5 @@
       !!----------------------------------------------------------------------
       USE ioipsl      ! IOipsl librairy
-      USE wrk_nemo, ONLY:   wrk_use, wrk_release, llwrk_use, llwrk_release
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released, llwrk_in_use, llwrk_not_released
       USE wrk_nemo, ONLY:   zxc => wrk_1d_1, zyc  => wrk_1d_2, zzc => wrk_1d_3, zdis => wrk_1d_4
       USE wrk_nemo, ONLY:   llcotu => llwrk_2d_1, llcotv => llwrk_2d_2 , llcotf => llwrk_2d_3
@@ -586,6 +586,6 @@
       !!----------------------------------------------------------------------
 
-      IF( .not. llwrk_use(2, 1,2,3)  .OR. .not. wrk_use(2, 1,2,3,4)  .OR.   &
-          .not.   wrk_use(1, 1,2,3,4)  )THEN
+      IF( llwrk_in_use(2, 1,2,3) .OR. wrk_in_use(2, 1,2,3,4) .OR.   &
+          wrk_in_use(1, 1,2,3,4)  )THEN
          CALL ctl_stop('cofdis: ERROR: requested workspace arrays unavailable')   ;   RETURN
       END IF
@@ -741,7 +741,7 @@
       CALL restclo( icot )
       !
-      IF( .not. llwrk_release(2, 1,2,3)   .OR. &
-          .not.   wrk_release(2, 1,2,3,4) .OR. & 
-          .not.   wrk_release(1, 1,2,3,4)  )   CALL ctl_stop('cofdis: failed to release workspace arrays')
+      IF( llwrk_not_released(2, 1,2,3)  .OR. &
+           wrk_not_released(2, 1,2,3,4) .OR. & 
+           wrk_not_released(1, 1,2,3,4)  )   CALL ctl_stop('cofdis: failed to release workspace arrays')
       !
    END SUBROUTINE cofdis
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traldf.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traldf.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traldf.F90	(revision 2633)
@@ -237,5 +237,5 @@
       !! ** Purpose :   initializations of 
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zt_ref => wrk_3d_1, ztb => wrk_3d_2, zavt => wrk_3d_3   ! 3D workspaces
       USE wrk_nemo, ONLY: zs_ref => wrk_3d_4, zsb => wrk_3d_5                     ! 3D workspaces
@@ -251,5 +251,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(3, 1,2,3,4,5) ) THEN
+      IF(wrk_in_use(3, 1,2,3,4,5) ) THEN
          CALL ctl_stop('ldf_ano : requested workspace arrays unavailable')   ;   RETURN
       ENDIF
@@ -320,5 +320,5 @@
       avt(:,:,:)        = zavt(:,:,:)
       !
-      IF(.NOT. wrk_release(3, 1,2,3,4,5) )   CALL ctl_stop('ldf_ano : failed to release workspace arrays')
+      IF(wrk_not_released(3, 1,2,3,4,5) )   CALL ctl_stop('ldf_ano : failed to release workspace arrays')
       !
    END SUBROUTINE ldf_ano
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_bilap.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_bilap.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_bilap.F90	(revision 2633)
@@ -75,5 +75,5 @@
       USE oce         , ztu => ua   ! use ua as workspace
       USE oce         , ztv => va   ! use va as workspace
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zeeu => wrk_2d_1, zeev => wrk_2d_2, zlt => wrk_2d_3
       !!
@@ -89,5 +89,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(2, 1,2,3))THEN
+      IF(wrk_in_use(2, 1,2,3))THEN
          CALL ctl_stop('tra_ldf_bilap: requested workspace arrays unavailable.')
          RETURN
@@ -166,5 +166,5 @@
       END DO                                              ! tracer loop
       !                                                   ! ===========
-      IF(.NOT. wrk_release(2, 1,2,3))THEN
+      IF(wrk_not_released(2, 1,2,3))THEN
          CALL ctl_stop('tra_ldf_bilap: failed to release workspace arrays.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_bilapg.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_bilapg.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_bilapg.F90	(revision 2633)
@@ -65,5 +65,5 @@
       !!               biharmonic mixing trend.
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: wk1 => wrk_4d_1, wk2 => wrk_4d_2
       INTEGER         , INTENT(in   )                      ::   kt       ! ocean time-step index
@@ -76,5 +76,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(4, 1,2))THEN
+      IF(wrk_in_use(4, 1,2))THEN
          CALL ctl_stop('tra_ldf_bilapg : requested workspace arrays unavailable.')
          RETURN
@@ -114,5 +114,5 @@
       END DO
       !
-      IF(.NOT. wrk_release(4, 1,2))THEN
+      IF(wrk_not_released(4, 1,2))THEN
          CALL ctl_stop('tra_ldf_bilapg : failed to release workspace arrays.')
       END IF
@@ -160,5 +160,5 @@
       !!----------------------------------------------------------------------
       USE oce         , zftv => ua     ! use ua as workspace
-      USE wrk_nemo, ONLY: wrk_use, wrk_release, wrk_use_xz, wrk_release_xz
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released, wrk_in_use_xz, wrk_not_released_xz
       USE wrk_nemo, ONLY: zftu => wrk_2d_1,  zdkt => wrk_2d_2, zdk1t => wrk_2d_3
       USE wrk_nemo, ONLY: zftw => wrk_xz_1, zdit => wrk_xz_2, &
@@ -182,5 +182,5 @@
       !!----------------------------------------------------------------------
 
-      IF( (.NOT. wrk_use(2, 1,2,3)) .OR. (.NOT. wrk_use_xz(1,2,3,4)) )THEN
+      IF( wrk_in_use(2, 1,2,3) .OR. wrk_in_use_xz(1,2,3,4) )THEN
          CALL ctl_stop('ldfght : requested workspace arrays unavailable.')
          RETURN
@@ -337,5 +337,5 @@
       END DO
       !
-      IF( (.NOT. wrk_release(2, 1,2,3)) .OR. (.NOT. wrk_release_xz(1,2,3,4)) )THEN
+      IF( wrk_not_released(2, 1,2,3) .OR. wrk_not_released_xz(1,2,3,4) )THEN
          CALL ctl_stop('ldfght : failed to release workspace arrays.')
       END IF
